﻿@font-face {
    font-family: 'Assistant-SemiBold';
    src: url('../fonts/Assistant-SemiBold.ttf') format('truetype');
}
@font-face {
    font-family: 'Assistant-Light';
    src: url('../fonts/Assistant-Light.ttf') format('truetype');
}
@font-face {
    font-family: 'Assistant-Bold';
    src: url('../fonts/Assistant-Bold.ttf') format('truetype');
}

body {
    font-family: Assistant-Light;
    margin: 0;
    padding: 0;
    background-color: #fbf6e2;
    transition: margin-left 0.3s;
}

h2 {
    font-family: Assistant-Bold;
    margin-top: 1vh;
    padding: 0 0 10px 0;
}

#menu-toggle {
    display: none;
}

.ProfileContainer {
    display: flex;
    justify-content: space-between;
    background-color: #0b192b;
}

.menu-icon {
    font-size: 20px;
    cursor: pointer;
    z-index: 5;
    color: aliceblue;
    transition: .2s;
    padding: 5px 10px;
    background-color:#03346E;
    margin: 1vh 1vh 1vh 1vh;
    border-radius: 5px;
}

.sidenav {
    font-size: smaller;
    height: 100%;
    width: 270px;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #03346E;
    padding-top: 4rem;
    transition: left .3s ease-in-out;
    overflow-x: hidden;
}

.menu-item button, .menu-item a {
    padding: 10px 10px 10px 10px;
    color: aliceblue;
    font-size: 15px;
    text-decoration: none;
}


.accordion-button {
    background-color: transparent !important;
    border: none !important;
    box-shadow: none !important;
    padding: 0;
    color: aliceblue !important;    
}

.accordion-button > i, .menu-item > i {
    padding: 0 8px 0 5px;
    font-size: 17px;
}

.submenu > a:hover{
    background-color: rgb(49 99 207 / 0.30);
    border-radius: 5px;
}

.active {
    background-color: rgb(49 99 207 / 0.70);
    border-radius: 5px;
    font-family: Assistant-SemiBold;
}

.submenu a {
    color: white;
    text-decoration: none;
    display: block;
    margin: 0 9px 1vh 3em;
    transition: .3s;
    padding: 2px 8px;

}   

.menu-dashboard {
    margin: 0 5px 0 9px;
}

.menu-dashboard i {
    margin-left: -5px;
}

.ri-apps-fill {
    font-size: 20px;
    padding-right: 
}

.main-content {
    margin: 0 20px 0 290px;
    transition: margin-left 0.3s ease-in-out;
}

.bn48 {
    font-family: Assistant-Light;
    cursor: pointer;
    font-size: 14px;
    color: aliceblue !important;
    text-decoration: none;
    margin: 0 2em 0 0;
    border: none;
}

.bn48:hover {
    color: rgb(45 115 183);
}

#profile-dropdown > .dropdown-item:hover {
    background-color: rgb(45 115 183);
    border-radius: 5px;
    color: aliceblue;
}

.dropdown-menu {
    display: none;
    font-size: smaller;
    background-color: aliceblue;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding: 10px 5px;
}

.dropdown-divider {
    background-color: aliceblue;
    width: 70%;
    margin: auto;
    opacity: 0.3;
}

.dropdown-menu a {
    color: #0b192b;
}
.dropdown-item:hover {
    background-color: rgba(216, 197, 209, 0.4);
}

/* INTERFACE PAGE*/
.table {
    width: 100%;
}

#txtSearch {
    width: 15%;
}

.fa-plus {
    margin-right: 8px;
}

.fa-trash-can {
    color: crimson;
}

.fa-pen-to-square {
    color: blue;
}

.btnModal {
    color: aliceblue;
    background-color: rgba(3, 52, 110, 0.9);
    padding: 5px 10px;
    margin-left: 10px;
}

.btnModal:hover {
    background-color: rgb(45 115 183);
    color: aliceblue;
}

.btnContainer{
    width: 100%;
    display: flex;
    margin-bottom: 2vh;
}


.tblContent {
    font-weight: 100;
}


/*MODAL*/
.modal-body, modal-footer {
    font-family: Assistant-Light;
}
.modal-header {
    background-color: #03346E;
    color: aliceblue;
    font-family: Assistant-Bold;
}

.tblHeader {
    font-family: Assistant-Bold;
}

.fa-regular {
    font-size: 20px;
    padding: 0 5px;
}

.optionContainer {
    margin-left: 2rem;
    border: none;
    background-color: transparent;
    color: #0b192b;
}

label {
    font-weight:bold;
}

/*LOGIN PAGE*/

.login-page {
    background-color: #03346E;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-box {
    width: 100vh;
    height: 55vh;
    background-color: cornsilk;
    border-radius: 10px;
    box-shadow: 2px 9px 20px 8px rgba(0,0,0,0.24);
    -webkit-box-shadow: 2px 9px 20px 8px rgba(0,0,0,0.24);
    -moz-box-shadow: 2px 9px 20px 8px rgba(0,0,0,0.24);
}

.login-box-body {
    height: 100%;
    display: flex;
    align-items center;
    justify-content: space-between;
}

#login-img {
    margin: auto;
    width: 400px;
    height: 200px;
}

.login-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 40vh;   
}

.login-form > .login-box-msg {
    font-family: Assistant-Bold;
    font-size: 35px;
}

.login-form > i /*ICON*/ {
    font-size: 12vh;
}

.error {
    color: tomato;
    border: 1px solid tomato;
}

card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #ffffff;
    background-clip: border-box;
    border: 0 solid rgba(0, 0, 0, 0.125);
    border-radius: 0.25rem;
}

.card > hr {
    margin-right: 0;
    margin-left: 0;
}

.card > .list-group:first-child .list-group-item:first-child {
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
}

.card > .list-group:last-child .list-group-item:last-child {
    border-bottom-right-radius: 0.25rem;
    border-bottom-left-radius: 0.25rem;
}

.card-body {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 1.25rem;
}

.card-title {
    margin-bottom: 0.75rem;
}

.card-subtitle {
    margin-top: -0.375rem;
    margin-bottom: 0;
}

.card-text:last-child {
    margin-bottom: 0;
}

.card-link:hover {
    text-decoration: none;
}

.card-link + .card-link {
    margin-left: 1.25rem;
}

.card-header {
    padding: 0.75rem 1.25rem;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, 0.03);
    border-bottom: 0 solid rgba(0, 0, 0, 0.125);
}

    .card-header:first-child {
        border-radius: calc(0.25rem - 0) calc(0.25rem - 0) 0 0;
    }

    .card-header + .list-group .list-group-item:first-child {
        border-top: 0;
    }

.card-footer {
    padding: 0.75rem 1.25rem;
    background-color: rgba(0, 0, 0, 0.03);
    border-top: 0 solid rgba(0, 0, 0, 0.125);
}

    .card-footer:last-child {
        border-radius: 0 0 calc(0.25rem - 0) calc(0.25rem - 0);
    }

.card-header-tabs {
    margin-right: -0.625rem;
    margin-bottom: -0.75rem;
    margin-left: -0.625rem;
    border-bottom: 0;
}

.card-header-pills {
    margin-right: -0.625rem;
    margin-left: -0.625rem;
}

.card-img-overlay {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 1.25rem;
}

.card-img,
.card-img-top,
.card-img-bottom {
    -ms-flex-negative: 0;
    flex-shrink: 0;
    width: 100%;
}

.card-img,
.card-img-top {
    border-top-left-radius: calc(0.25rem - 0);
    border-top-right-radius: calc(0.25rem - 0);
}

.card-img,
.card-img-bottom {
    border-bottom-right-radius: calc(0.25rem - 0);
    border-bottom-left-radius: calc(0.25rem - 0);
}

.card-deck .card {
    margin-bottom: 7.5px;
}

@media (min-width: 576px) {
    .card-deck {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        margin-right: -7.5px;
        margin-left: -7.5px;
    }

        .card-deck .card {
            -ms-flex: 1 0 0%;
            flex: 1 0 0%;
            margin-right: 7.5px;
            margin-bottom: 0;
            margin-left: 7.5px;
        }
}

.card-group > .card {
    margin-bottom: 7.5px;
}

@media (min-width: 576px) {
    .card-group {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
    }

        .card-group > .card {
            -ms-flex: 1 0 0%;
            flex: 1 0 0%;
            margin-bottom: 0;
        }

            .card-group > .card + .card {
                margin-left: 0;
                border-left: 0;
            }

            .card-group > .card:not(:last-child) {
                border-top-right-radius: 0;
                border-bottom-right-radius: 0;
            }

                .card-group > .card:not(:last-child) .card-img-top,
                .card-group > .card:not(:last-child) .card-header {
                    border-top-right-radius: 0;
                }

                .card-group > .card:not(:last-child) .card-img-bottom,
                .card-group > .card:not(:last-child) .card-footer {
                    border-bottom-right-radius: 0;
                }

            .card-group > .card:not(:first-child) {
                border-top-left-radius: 0;
                border-bottom-left-radius: 0;
            }

                .card-group > .card:not(:first-child) .card-img-top,
                .card-group > .card:not(:first-child) .card-header {
                    border-top-left-radius: 0;
                }

                .card-group > .card:not(:first-child) .card-img-bottom,
                .card-group > .card:not(:first-child) .card-footer {
                    border-bottom-left-radius: 0;
                }
}

.card-columns .card {
    margin-bottom: 0.75rem;
}

@media (min-width: 576px) {
    .card-columns {
        -webkit-column-count: 3;
        -moz-column-count: 3;
        column-count: 3;
        -webkit-column-gap: 1.25rem;
        -moz-column-gap: 1.25rem;
        column-gap: 1.25rem;
        orphans: 1;
        widows: 1;
    }

        .card-columns .card {
            display: inline-block;
            width: 100%;
        }
}

.accordion > .card {
    overflow: hidden;
}

    .accordion > .card:not(:last-of-type) {
        border-bottom: 0;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .accordion > .card:not(:first-of-type) {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    .accordion > .card > .card-header {
        border-radius: 0;
        margin-bottom: 0;
    }